//                                               -*- C++ -*-
/**
 *  @file  NonEllipticalDistribution.cxx
 *  @brief Abstract top-level class for non elliptical distributions
 *
 *  (C) Copyright 2005-2012 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: schueller $
 *  @date:   $LastChangedDate: 2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012) $
 *  Id:      $Id: NonEllipticalDistribution.cxx 2392 2012-02-17 18:35:43Z schueller $
 */
#include "NonEllipticalDistribution.hxx"

BEGIN_NAMESPACE_OPENTURNS



CLASSNAMEINIT(NonEllipticalDistribution);

/* Default constructor */
NonEllipticalDistribution::NonEllipticalDistribution(const String & name)
  : ContinuousDistribution(name)
{
  // Nothing to do
}

/* Virtual constructor */
NonEllipticalDistribution * NonEllipticalDistribution::clone() const
{
  return new NonEllipticalDistribution(*this);
}

/* String converter */
String NonEllipticalDistribution::__repr__() const {
  OSS oss;
  oss << "class=" << NonEllipticalDistribution::GetClassName();
  return oss;
}

END_NAMESPACE_OPENTURNS
